<?php
/**
 *  ╔═══════════════════════════════════════════════════╗
 *  ║                                                   ║
 *  ║     ██╗  ██╗   █████╗    ██████╗                  ║
 *  ║     ██║  ██║  ██╔══██╗  ██╔═══██╗                 ║
 *  ║     ███████║  ███████║  ██║   ██║                 ║
 *  ║     ██╔══██║  ██╔══██║  ██║   ██║                 ║
 *  ║     ██║  ██║  ██║  ██║  ╚██████╔╝   SNS           ║
 *  ║                                                   ║    
 *  ║                                                   ║    
 *  ║     © 2023 HaoSNS™ All Rights Reserved            ║
 *  ║     官方网站: https://www.haosns.com                *
 *  ║     本代码由赣州乐易网络科技有限公司®提供             *
 *  ║                                                    *
 *  ║   未经授权禁止复制、传播或用于其他商业目的            *
 *  ║                                                   ║
 *  ╚═══════════════════════════════════════════════════╝
 */
declare (strict_types = 1);

namespace app\common\model;

use think\Model;

/**
 * @mixin \think\Model
 */
class ChatPrivateMessage extends Model
{
    public function fromUser()
    {
        return $this->hasOne(User::class, 'id', 'from_id')->field('id,nickname,avatar');
    }

    public function toUser()
    {
        return $this->hasOne(User::class, 'id', 'to_id')->field('id,nickname,avatar');
    }

    public function transfers()
    {
        return $this->hasOne(TradeTransfers::class, 'id', 'msg');
    }

    public function redPackets()
    {
        return $this->hasOne(TradePrivateRedPackets::class, 'id', 'msg')->with(['redPackets']);
    }
}
